﻿@model Tuple<ItemMasterView, List<StockModelView>>

<div class="row">
    <div class="panel panel-default">
        <div class="panel-body">
            <div class="col-md-3">
                @Html.Partial("_ContRemarksHandheld", Model.Item1)
            </div>
            <div class="col-md-9">
                <div class="panel panel-default">
                    <div class="panel-heading clearfix">
                        <h3 class="panel-title">@ItemMaster.IMD</h3>
                    </div>
                    <div class="panel-body">
                        <div class="row">
                            <label class="col-md-2 control-label" id="CC">@ItemMaster.TIC</label>
                            <div class="col-md-10">
                                @Html.TextBoxFor(c => c.Item1.ItemCode, new { @placeholder = @ItemMaster.IC, @class = "form-control form-handheld", @disabled = "disabled" })
                            </div>
                        </div>
                        <div class="row">
                            <div class="form-group">
                                <label class="col-md-2 control-label" id="CC">@ItemMaster.TID</label>
                                <div class="col-md-10">
                                    @Html.TextBoxFor(c => c.Item1.ItemName, new { @placeholder = @ItemMaster.ID, @class = "form-control form-handheld", @disabled = "disabled" })
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6 no-padding">
                                <div class="form-group">
                                    <label class="col-md-4 control-label" id="CC">@ItemMaster.ITY</label>
                                    <div class="col-md-8">
                                        @Html.DropDownListFor(model => model.Item1.ItemType, new SelectList(Model.Item1.drItemType, "Value", "Text"), new { @Id = "drItemType", @class = "form-control", @disabled = "disabled" })
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="col-md-4 control-label" id="CC">@ItemMaster.IIG</label>
                                    <div class="col-md-8">
                                        @Html.DropDownListFor(model => model.Item1.ItmsGrpCod, new SelectList(
                                        Model.Item1.ListItemGroup,
                                        "ItmsGrpCod",
                                        "ItmsGrpNam", Model.Item1.ItmsGrpCod), new { @Id = "ItmsGrpNam", @Name = "ItmsGrpNam", @class = "form-control", @disabled = "disabled" })
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row ItemMasterPrice">
                            <div class="form-group">
                                <label class="col-md-2 control-label" id="CC">@ItemMaster.IPR</label>
                                <div class="col-md-4">
                                    @Html.TextBoxFor(c => c.Item1.PriceItemByListPrice, "{0:0.00}", new { @placeholder = @ItemMaster.IPR, @Disabled = "disabled", @class = "form-control precio-handheld" })
                                </div>
                                <div class="col-md-2">
                                    @Html.DropDownListFor(model => model.Item1.PriceSelect, new SelectList(
                                    Model.Item1.ListPriceListSAP,
                                    "ListNum",
                                    "ListName", Model.Item1.PriceSelect), new { @Id = "PriceSelect", @Disabled = "disabled", @Name = "PriceSelect", @class = "form-control" })
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="panel panel-default">
                    <div class="panel-heading clearfix">
                        <h3 class="panel-title">Tipo de Artículo</h3>
                    </div>
                    <div class="panel-body">
                        <div class="col-lg-3 col-md-4">
                            <label class="col-md-8 control-label">@ItemMaster.INVIT</label>
                            <div class="col-md-4">
                                <label class="checkbox-inline">
                                    @Html.CheckBox("InvntItem", (Model.Item1.InvntItem == "Y" ? true : false), new { @Disabled = "disabled" })
                                </label>
                            </div>
                        </div>
                        <div class="col-lg-3 col-md-4">
                            <label class="col-md-8 control-label">@ItemMaster.SALIT</label>
                            <div class="col-md-4">
                                <label class="checkbox-inline">
                                    @Html.CheckBox("SellItem", (Model.Item1.SellItem == "Y" ? true : false), new { @Disabled = "disabled" })
                                </label>
                            </div>
                        </div>
                        <div class="col-lg-3 col-md-4">
                            <label class="col-md-8 control-label">@ItemMaster.PURIT</label>
                            <div class="col-md-4">
                                <label class="checkbox-inline">
                                    @Html.CheckBox("PrchseItem", (Model.Item1.PrchseItem == "Y" ? true : false), new { @Disabled = "disabled" })
                                </label>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="panel panel-default">
                    <div class="panel-heading clearfix">
                        <h3 class="panel-title">Stock</h3>
                    </div>
                    <div class="panel-body">
                        @Html.Partial("_ContStock", Model)
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<script type="text/javascript">
    $("#ItemCodeSearch").focus();
</script>